<!-- TOP -->
<div class="custom-color" style="background-color: #A0F6D2; height: 12vh">
  <div class="row p-1 mr-0">
    <div class="col-1">
      <a href="/" target="_self">
        <img class="img-fluid d-block ml-3" src="./../../../assets/images/logo.png" style="width: 11vh">
      </a>
    </div>
    <div class="col-6 pt-3">
      <h2 class="mt-3"><b>User Area</b></h2>
    </div>
    <div class="col-4 pt-3">
      <div class="form-group row mt-4">        
        <div class="col-sm-3">
          <select class="mt-1" [(ngModel)]="selectedDocumentNumber">
            <option *ngFor="let user of users" [value]="user.documentNumber">{{user.name}}</option>
          </select>
        </div>
        <div class="col-sm-9 pl-0">
          <a class="btn btn-outline-custom btn-sm" href="javascript:void(0)" (click)="selectUser()">Select user</a>
        </div>
      </div>
    </div>
    <div class="col-1 pt-3">
      <a class="btn btn-outline-custom btn-sm mt-4" href="/back-office">Back Office</a>
    </div>
  </div>
</div>

<!-- CONTENT -->
<div class="custom-color pt-4" style="background-color:rgb(200, 253, 236); height: 88vh">
  <div *ngIf="!selectedUser" class="container p-4 d-flex justify-content-center mt-5">
    <h1>Please select a user</h1>
  </div>
  <div *ngIf="selectedUser" class="container p-4 d-flex justify-content-center mt-5">
    <div class="card" style="width: 70%">
      <div class="card-body">
        <h2 class="card-title"><b>User Details</b></h2>
        <div class="mt-5">
          <h6><b>Name</b></h6>
          <h4>{{selectedUser.name}}</h4>
          <br>
          <h6><b>Document Number</b></h6>
          <h4>{{selectedUser.documentNumber}}</h4>
          <br>
          <h6><b>Address</b></h6>
          <h4>{{selectedUser.address}}</h4>
        </div>
      </div>
    </div>
    <div *ngIf="selectedUser.verificationStatus == 'PENDING'" class="card ml-3 bg-primary" style="width: 85%">
      <div class="card-body">
        <h2 class="card-title text-light"><b>Pending Verification</b></h2>
        <h6 class="card-subtitle mb-2 text-light">Your identity has not been verified yet. Please, go through our
          verification process. </h6>

        <div class="accordion mt-3" id="verificationOptions">
          <div class="card">
            <div class="card-header" id="headingOne">
              <h2 class="mb-0">
                <button class="btn btn-link" type="button" data-toggle="collapse" data-target="#collapseOne"
                  aria-expanded="true" aria-controls="collapseOne">
                  Documents Verification
                </button>
              </h2>
            </div>
            <div id="collapseOne" class="collapse show" aria-labelledby="headingOne" data-parent="#verificationOptions">
              <div class="card-body" *ngIf="selectedUser.verificationStatus != 'VERIFIED'">
                <p>Please, provide the following scans or photographs of the following documents:</p>
                <form>
                  <div class="form-group row">
                    <label class="col-sm-6 col-form-label" for="exampleFormControlFile1">ID / Driving License / Passport
                      <br><small class="text-muted">(front)</small></label>
                    <div class="col-sm-6">
                      <input type="file" class="form-control-file mt-3" id="exampleFormControlFile1">
                    </div>
                  </div>
                  <div class="form-group row">
                    <label class="col-sm-6 col-form-label" for="exampleFormControlFile1">ID / Driving License / Passport
                      <br><small class="text-muted">(back)</small></label>
                    <div class="col-sm-6">
                      <input type="file" class="form-control-file mt-3" id="exampleFormControlFile1">
                    </div>
                  </div>
                  <div class="form-group row">
                    <label class="col-sm-6 col-form-label" for="exampleFormControlFile1">Bank Statement</label>
                    <div class="col-sm-6">
                      <input type="file" class="form-control-file mt-3" id="exampleFormControlFile1">
                    </div>
                  </div>
                </form>
                <a *ngIf="!verificationComplete" class="btn btn-outline-custom btn-sm mt-4 mb-3 float-right"
                  href="javascript:void(0)" (click)="verifyDocuments()">Verify</a>
                <div *ngIf="verificationComplete" class="alert alert-success mt-4" role="alert">
                  {{verificationResponseID}}</div>
              </div>
            </div>
          </div>
          <div class="card">
            <div class="card-header" id="headingTwo">
              <h2 class="mb-0">
                <button class="btn btn-link collapsed" type="button" data-toggle="collapse" data-target="#collapseTwo"
                  aria-expanded="false" aria-controls="collapseTwo">
                  Identifier Verification
                </button>
              </h2>
            </div>
            <div id="collapseTwo" class="collapse" aria-labelledby="headingTwo" data-parent="#verificationOptions">
              <div class="card-body">
                <form [formGroup]="identifierForm">
                  <div class="mt-2">
                    <p>Please, provide the identifier generated on any other verification process:</p>
                    <input type="text" class="form-control" formControlName="identifier" id="identifier"
                      name="identifier" placeholder="Enter your identifier" required minlength="1">
                  </div>
                  <button type="button" class="btn btn-outline-custom mt-4 mb-3 float-right"
                    (click)="verifyIdentifier()" [disabled]="!identifierForm.valid">Verify</button>
                </form>
              </div>
            </div>
          </div>
        </div>
      </div>
    </div>
    <div *ngIf="selectedUser.verificationStatus == 'IN_PROCESS'" class="card ml-3 bg-warning" style="width: 85%">
      <div class="card-body">
        <div class="d-flex justify-content-center mt-4 mb-5">
          <h2 class="card-title"><b>Verification In Process</b></h2>
        </div>
        <div class="d-flex justify-content-center mt-5 mb-5">
          <i class="fa fa-3x fa-hourglass" style="color: goldenrod"></i>
        </div>
      </div>
    </div>
    <div *ngIf="selectedUser.verificationStatus == 'VERIFIED'" class="card ml-3 bg-success" style="width: 85%">
      <div class="card-body">
        <div class="d-flex justify-content-center mt-4 mb-5">
          <h2 class="card-title text-light"><b>Verification Complete</b></h2>
        </div>
        <div class="d-flex justify-content-center mt-5 mb-5">
          <i class="fa fa-3x fa-check" style="color: green"></i>
        </div>
        <div class="d-flex justify-content-center overflow-auto mt-5 text-light">
          <h5>Your identifier is</h5>
        </div>
        <div class="d-flex justify-content-center overflow-hidden text-light">
          <h6>{{selectedUser.blockchainIdentifier}}</h6>
        </div>
      </div>
    </div>
  </div>
</div>
